This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 808401 - Fix major_version in epiphany spec file
Fix major_version in epiphany spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 06:38 EDT by Mohamed El Morabity
Modified: 2012-04-20 05:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 05:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (1.01 KB, patch)
2012-03-30 13:08 EDT, Debarshi Ray
no flags Details | Diff

  None (edit)
Description Mohamed El Morabity 2012-03-30 06:38:48 EDT
Description of problem:
The epiphany spec file defines a %{major_version} macro to create and own the
extensions folders in /usr/lib*/epiphany/:
 mkdir -p
$RPM_BUILD_ROOT%{_libdir}/epiphany/%{major_version}/{plugins,extensions}
 ln -sf %{major_version}/plugins $RPM_BUILD_ROOT%{_libdir}/epiphany/plugins
 ln -sf %{major_version}/extensions
$RPM_BUILD_ROOT%{_libdir}/epiphany/extensions

In F17 spec, %{major_version} is set to 3.3 whereas it should be 3.4 (as for
the current Epiphany major version in the repos).

Not a critical issue, but it would help me to fix the epiphany-extensions to
work with epiphany 3.4 (extensions would be installed in
%{_libdir}/epiphany/3.4/extensions/, with %{_libdir}/epiphany/3.4/ supposed to
be owned by epiphany). Moreover, the epiphany-extensions may depend on the virtual Provides "epiphany(abi)", whose version is set too to %{major_version}
Comment 1 Debarshi Ray 2012-03-30 13:08:14 EDT
Created attachment 574043 [details]
Proposed fix
Comment 2 Mohamed El Morabity 2012-04-20 05:07:23 EDT
Fixed in epiphany-3.4.1-1.fc17

Note You need to log in before you can comment on or make changes to this bug.